mapserver (8.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update symbols for other architectures.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Sep 2024 18:41:33 +0200

mapserver (8.2.1-1) unstable; urgency=high

  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2024 20:03:16 +0200

mapserver (8.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Jul 2024 20:18:24 +0200

mapserver (8.2.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Jun 2024 15:46:36 +0200

mapserver (8.2.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Jun 2024 06:35:35 +0200

mapserver (8.2.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Jun 2024 19:10:35 +0200

mapserver (8.2.0~beta3-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Jun 2024 05:25:33 +0200

mapserver (8.2.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Drop patches applied upstream.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 08 Jun 2024 21:10:54 +0200

mapserver (8.2.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Drop patches applied upstream. Refresh remaining patches.
  * Add python3-pip to build dependencies.
  * Update paths for source tree restructuring.
  * Add patch to fix Python MapScript installation.
  * Update symbols for amd64.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jun 2024 07:06:59 +0200

mapserver (8.0.2-1) unstable; urgency=high

  * New upstream release.
  * Update upstream branch in gbp.conf.
  * Update watch file to match only 8.0 releases.
  * Update copyright file.
  * Drop spelling-errors.patch, applied upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Jun 2024 05:46:07 +0200

mapserver (8.0.1-5) unstable; urgency=medium

  * Add patch to fix FTBFS with glibc 2.38.
    (closes: #1067651)
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 May 2024 18:48:14 +0200

mapserver (8.0.1-4) unstable; urgency=medium

  * Add dpkg-dev (>= 1.22.5) to build dependencies for t64 changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Mar 2024 13:27:40 +0100

mapserver (8.0.1-3) unstable; urgency=medium

  * Replace pkg-config build dependency with pkgconf.
  * Update symbols for other architectures.
  * Move from experimental to unstable.
    (closes: #1062837)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 15:59:13 +0100

mapserver (8.0.1-3~exp1) experimental; urgency=medium

  * Re-instate MapScript Java bindings.
  * Export DEB_PYTHON_INSTALL_LAYOUT=deb_system instead of patching
    `setup.py install` to use --install-layout=deb.
  * Use execute_{before,after} instead of override in rules file.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Feb 2024 14:16:19 +0100

mapserver (8.0.1-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Sat, 03 Feb 2024 19:10:20 +0000

mapserver (8.0.1-2) unstable; urgency=medium

  * Don't run dh_python3 on example scripts.
    (closes: #1038735)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Jun 2023 19:24:25 +0200

mapserver (8.0.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Drop MapScript Java bindings, ca-certificates-java fails to install.
  * Bump debhelper compat to 13.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Jun 2023 06:16:05 +0200

mapserver (8.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Use dh_python3 to fix shebang instead of a patch.
  * Update obsolete freetype build dependency.
  * Update lintian overrides.
  * Update copyright file.
  * Update docs filenames.
  * Update symbols for amd64.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Apr 2023 19:59:18 +0200

mapserver (8.0.0-3) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Nov 2022 14:38:38 +0100

mapserver (8.0.0-3~exp1) experimental; urgency=medium

  * Re-enable PHP MapScript NG, SWIG 4.1.0 is available.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Nov 2022 19:58:13 +0100

mapserver (8.0.0-2) unstable; urgency=medium

  * Drop obsolete Breaks/Replaces.
  * Move ogcapi templates from libmapserver-dev to mapserver-bin package.
  * Update symbols for other architectures.
  * Add patch to fix installation with setuptools 65.3.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Sep 2022 17:01:59 +0200

mapserver (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Sep 2022 16:57:20 +0200

mapserver (8.0.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Sep 2022 16:30:25 +0200

mapserver (8.0.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Aug 2022 19:46:57 +0200

mapserver (8.0.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Drop coshp.patch, applied upstream.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Aug 2022 18:03:15 +0200

mapserver (8.0.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update copyright file.
  * Refresh patches.
  * Drop obsolete WITH_PHP option.
  * Rename shp2img to map2img, also install coshp executable.
  * Update lintian overrides.
  * Update symbols for amd64.
  * Don't install mapserver-sample.conf, include it as an example.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Jun 2022 17:51:06 +0200

mapserver (7.6.4-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update lintian overrides.
  * Drop --autodest from dh_install.
  * Don't use ttf-bitstream-vera package.
    (closes: #998263)
  * Drop PHP packages, incompatible with PHP 8.x.
    (closes: #977658)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Nov 2021 14:40:40 +0100

mapserver (7.6.4-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 11:35:51 +0200

mapserver (7.6.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 7.6.4.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jul 2021 05:56:21 +0200

mapserver (7.6.3-1~exp1) experimental; urgency=medium

  * New upstream release.
    (closes: #983243)
  * Update copyright file.
  * Update lintian overrides.
  * Update symbols for 7.6.3.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 May 2021 06:46:03 +0200

mapserver (7.6.2-2) unstable; urgency=high

  * Drop unused lintian overrides.
  * Add upstream patches to fix CVE-2021-32062.
    (closes: #988208)
  * Update symbols file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 08 May 2021 07:12:18 +0200

mapserver (7.6.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Dec 2020 06:01:02 +0100

mapserver (7.6.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Require at least cmake 3.0.
  * Update copyright file.
  * Update upstream metadata.
  * Update Homepage URL to use HTTPS.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Dec 2020 05:29:11 +0100

mapserver (7.6.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Aug 2020 08:05:35 +0200

mapserver (7.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop phpng-mapscript.patch, included upstream.
  * Update symbols for amd64.
  * Add lintian overrides for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2020 19:35:49 +0200

mapserver (7.6.0-2) unstable; urgency=medium

  * Add upstream patch to install mapscript.php.
    (LP: #1884854)
  * Include mapscript.php in php-mapscript-ng.
  * Add lintian overrides for breakout-link.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jun 2020 20:32:54 +0200

mapserver (7.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update 7.6.0~rc4 symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 May 2020 17:38:17 +0200

mapserver (7.6.0~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop override for mailing-list-obsolete-in-debian-infrastructure.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2020 05:46:51 +0200

mapserver (7.6.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for amd64.
  * Add override for mailing-list-obsolete-in-debian-infrastructure.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Apr 2020 06:45:11 +0200

mapserver (7.6.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Apr 2020 06:47:59 +0200

mapserver (7.6.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Apr 2020 05:56:37 +0200

mapserver (7.6.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Drop -D_GNU_SOURCE, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Mar 2020 08:46:12 +0200

mapserver (7.6.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Drop obsolete CMake options.
  * Update copyright years for copyright holders.
  * Drop swig-4.0.1.patch, included upstream.
  * Add -D_GNU_SOURCE to CPPFLAGS.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 Mar 2020 06:51:15 +0100

mapserver (7.4.4-1) unstable; urgency=high

  * New upstream release.
  * Drop mapscript-buffer-overflow.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Mar 2020 21:15:45 +0100

mapserver (7.4.3-3) unstable; urgency=high

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Add upstream patch to fix PHPMapScript error handling vulnerabilities.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Mar 2020 20:40:37 +0100

mapserver (7.4.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * Add upstream patch to fix FTBFS with SWIG 4.0.1.
    (closes: #951886)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Feb 2020 19:25:03 +0100

mapserver (7.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop Provides: ${python3:Provides}.
  * Change python3-all{,-dev} build dependency to python3{,-dev},
    only the default interpreter is used.
  * Drop Name field from upstream metadata.
  * Drop unused overrides for file-references-package-build-path.
  * Update symbols for amd64.
  * Rename TODO.Debian to TODO.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Dec 2019 05:34:32 +0100

mapserver (7.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Update 7.4.1 symbols for other architectures.
  * Update 7.4.2 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Sep 2019 07:55:23 +0200

mapserver (7.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Jul 2019 06:39:37 +0200

mapserver (7.4.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 08:41:08 +0200

mapserver (7.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update 7.4.0~rc2 symbols for other architectures.
  * Update 7.4.0 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 May 2019 17:28:54 +0200

mapserver (7.4.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 May 2019 16:54:50 +0200

mapserver (7.4.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 7.4.0~beta2 symbols for other architectures.
  * Update 7.4.0~rc1 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 May 2019 06:27:49 +0200

mapserver (7.4.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for other architectures.
  * Drop patches applied upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Apr 2019 06:30:22 +0200

mapserver (7.4.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Remove package name from lintian overrides.
  * Re-enable PHP MapScript, support for PHP 7 available now.
  * Add python-setuptools to build dependencies.
  * Switch Python MapScript to Python 3.
  * Drop Ruby MapScript, causes FTBFS.
  * Update symbols for amd64.
  * Add patch to fix spelling errors.
  * Use ttf-bitstream-vera instead of embedded copy.
  * Add patch for shebang in Python MapScript example scripts.
  * Set INSTALL_LIB_DIR to Multi-Arch path.
  * Move all CMake options to dh_auto_configure override.
  * Also build PHPNG MapScript (based on SWIG).
  * Drop unused shlibs:Depends from cgi-mapserver package.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Mar 2019 09:59:55 +0100

mapserver (7.2.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Feb 2019 05:43:10 +0100

mapserver (7.2.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add Build-Depends-Package field to symbols file.
  * Bump Standards-Version to 4.3.0, no changes.
  * Refresh patches.
  * Update copyright years for Open Source Geospatial Foundation.
  * Update symbols for amd64.
  * Add lintian overrides for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Feb 2019 18:07:57 +0100

mapserver (7.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Drop patches applied upstream. Refresh remaining patches.
  * Fix docs install for README rename.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Oct 2018 07:11:40 +0200

mapserver (7.2.0-5) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0, no changes.
  * Add patch to fix FTBFS with CMake 3.12.x.
    (closes: #906605)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Aug 2018 09:45:57 +0200

mapserver (7.2.0-4) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 21:45:41 +0200

mapserver (7.2.0-3) unstable; urgency=medium

  * Add upstream patch to update HISTORY.TXT for 7.2.0 release.
  * Update symbols for mipsel.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 20:02:20 +0200

mapserver (7.2.0-2) unstable; urgency=medium

  * Add patch to remove -beta2 version suffix.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 14:11:34 +0200

mapserver (7.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update symbols for amd64.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 08:08:43 +0200

mapserver (7.2.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jun 2018 18:15:40 +0200

mapserver (7.2.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.4, no changes.
  * Fix deprecated source override location.
  * Update watch file to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from control & rules files.
  * Update copyright file, changes:
    - Update copyright years for existing copyright holders
    - Update license for Bison files
    - Drop license & copyright for pygdioctx, removed upstream
  * Add protobuf build dependencies for MVT support.
  * Drop obsolete dbg package.
  * Replace /usr/lib/cgi-bin/mapserv with symlink to /usr/bin/mapserv.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 May 2018 22:21:12 +0200

mapserver (7.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.1, changes: priority.
  * Strip trailing whitespace from changelog & rules.
  * Add lintian override for debian-watch-uses-insecure-uri.
  * Add lintian override for python-foo-but-no-python3-foo.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Nov 2017 21:00:35 +0100

mapserver (7.0.6-2) unstable; urgency=medium

  * Fix SOURCE_DATE_EPOCH use.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 21:07:57 +0200

mapserver (7.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Jun 2017 21:14:05 +0200

mapserver (7.0.5-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 13:09:51 +0200

mapserver (7.0.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 May 2017 22:29:51 +0200

mapserver (7.0.4-2) unstable; urgency=medium

  * Add patch to use include paths from php-config.
  * Add patch by Landry Breuil to fix memory corruption/double-free
    when LAYERS parameter is specified multiple times.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Feb 2017 18:29:54 +0100

mapserver (7.0.4-1) unstable; urgency=high

  * New upstream release.
    - Security release.
  * Add Open Source Geospatial Foundation to copyright holders.
  * Update symbols for amd64.
  * Add dh-python to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Jan 2017 19:38:29 +0100

mapserver (7.0.3-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2016-9839
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Dec 2016 21:44:37 +0100

mapserver (7.0.2-2) unstable; urgency=medium

  * Enable pie hardening flags.
    (closes: #844892)
  * Drop unused overrides for hardening-no-pie.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Nov 2016 10:39:25 +0100

mapserver (7.0.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Sep 2016 14:13:34 +0200

mapserver (7.0.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop unused override for incompatible-java-bytecode-format.
  * Drop didnt-typo.patch, applied upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Sep 2016 21:26:23 +0200

mapserver (7.0.1-3) unstable; urgency=medium

  * Disable PHP mapscript, extension doesn't support PHP 7 yet.
  * Update symbols for ppc64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Mar 2016 20:16:37 +0100

mapserver (7.0.1-2) unstable; urgency=medium

  * Update symbols for alpha, hppa, sparc64 & x32.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Feb 2016 23:08:15 +0100

mapserver (7.0.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Feb 2016 10:22:20 +0100

mapserver (7.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update lintian override for OpenJDK 8 as default JDK.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update watch file to use download.osgeo.org.
    GitHub releases include msautotest which contains non-free CITE tests.
  * Drop patches applied upstream.
  * Don't install documentation no longer included upstream.
  * Update symbols for amd64.
  * Add dependency on php5-common to php5-mapscript for php5enmod.
  * Fix 'associated' typo in manpage.
  * Add patch for "didn't" typo.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Feb 2016 21:59:11 +0100

mapserver (7.0.0-9) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Add patch by Michael Tautschnig to fix type inconsistencies.
    (closes: #812685)
  * Add patch to fix 'should' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Jan 2016 09:38:54 +0100

mapserver (7.0.0-8) unstable; urgency=medium

  * Don't fail the build when the examples are not installed.
    (closes: #806074)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Nov 2015 22:22:21 +0100

mapserver (7.0.0-7) unstable; urgency=medium

  * Add patch to fix build with newer SWIG versions.
  * Rebuild for ruby2.2 transition.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Nov 2015 23:25:23 +0100

mapserver (7.0.0-6) unstable; urgency=medium

  * Add upstream patch for giflib 5.1 support.
    (closes: #803299)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Oct 2015 22:35:39 +0100

mapserver (7.0.0-5) unstable; urgency=medium

  * Add patch to add ARCHIVE install target for Windows builds.
  * Add patch to install mapserver target only once.
  * Add patch to not export the mapserver target for static builds.
  * Disable experimental pixman support.
    (closes: #801573)
  * Drop libmapserver2 post{inst,rm}, rely on dpkg-triggers for ldconfig.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Oct 2015 17:42:33 +0200

mapserver (7.0.0-4) unstable; urgency=medium

  * Update symbols for ppc64.
  * Rebuild for geos transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Aug 2015 14:20:22 +0200

mapserver (7.0.0-3) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Aug 2015 02:35:54 +0200

mapserver (7.0.0-2) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Update symbols for amd64.
  * Rebuild for gdal transition.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 14:33:32 +0200

mapserver (7.0.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jul 2015 12:27:55 +0200

mapserver (7.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jul 2015 11:44:28 +0200

mapserver (7.0.0~beta2-1~exp1) experimental; urgency=medium

  * Update watch file to use GitHub releases instead of download.osgeo.org.
  * New upstream beta release.
  * Update copyright file, changes:
    - Update Source URL for GitHub
    - Add license & copyright for new files
  * Drop transitional packages for libmapscript-ruby.
  * Drop patches applied upstream, refresh remaining patches.
  * Update build dependencies:
    - drop libgd-dev
    - add libharfbuzz-dev & libpixman-1-dev
  * Drop SOVERSION from -dbg & -dev package name.
  * Add libcurl-ssl-dev as alternative for libcurl-gnutls-dev build dependency.
  * Add patches for typos.
  * Update symbols for amd64.
  * Bump SOVERSION to 2 to account for removed symbols,
    change package names to match new SONAME.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Jul 2015 15:48:54 +0200

mapserver (6.4.2-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jul 2015 09:12:39 +0200

mapserver (6.4.2-1) unstable; urgency=medium

  * Update watch file to use GitHub releases instead of download.osgeo.org.
  * Use upstream-6.4 branch in gbp.conf.
  * New upstream release.
  * Drop php56.patch, applied upstream; refresh remaining patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Jul 2015 21:15:56 +0200

mapserver (6.4.1-6) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 11:52:28 +0200

mapserver (6.4.1-6~exp1) experimental; urgency=medium

  * Add upstream metadata.
  * Make build reproducible by setting the date embedded in man pages.
    Thanks to Reiner Herrmann for the patch.
    (closes: #783146)
  * Update my email to @debian.org address.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 Apr 2015 20:34:39 +0200

mapserver (6.4.1-5) unstable; urgency=medium

  * Add debug package for libmapserver. Thanks to Frederic Junod for the patch.
    (closes: #753586)
  * Support new vendorarch path for Perl modules.
    Thanks to Niko Tyni for the patch.
    (closes: #752715)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 05 Jul 2014 16:51:06 +0200

mapserver (6.4.1-4) unstable; urgency=medium

  * Add patch to support building mapscript for PHP 5.6.
    (closes: #745600)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 30 Apr 2014 01:34:47 +0200

mapserver (6.4.1-3) unstable; urgency=medium

  * Also build mapscript for Java.
    Thanks Ezequiel Lara Gómez for the patch.
    (closes: #740351)
  * Add lintian override for incompatible-java-bytecode-format.
  * Don't install ruby mapscript for Ruby 1.9, only built for 2.x now.
  * Drop patched FindRuby.cmake, build depend on the cmake version
    containing the updated module.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 11 Apr 2014 02:29:54 +0200

mapserver (6.4.1-2) unstable; urgency=low

  * Add gpb.conf to use pristine-tar by default.
  * Use dh commands instead of CMake directly.
  * Enable parallel builds.
  * Drop lintian override for debian-watch-may-check-gpg-signature,
    shouldn't override pedantic tags.
  * Add patched FindRuby.cmake to also support Ruby 2.0 and 2.1.
  * Build mapscript extension for all supported Ruby versions.
    (closes: #739773)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 28 Feb 2014 12:28:23 +0100

mapserver (6.4.1-1) unstable; urgency=low

  * New upstream release, fixes a vulnerability leading to potential leakage of
    information when using TIME filtering on postgis layers.
  * Refresh patches.
  * Drop freetype2-include-dir.patch, applied upstream in modified form.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Add lintian override for debian-watch-may-check-gpg-signature,
    upstream doesn't provide signatures for verification.
  * Update copyright file.
  * Update symbols file.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 03 Jan 2014 02:28:02 +0100

mapserver (6.4.0-3) unstable; urgency=low

  [ Bas Couwenberg ]
  * Drop obsolete Build-Depends:
    - sharutils (AGG no longer built separately)
    - libsdl1.2-dev (AGG examples no longer built)
    - libogdi3.2-dev (no longer used)
    - libpam0g-dev (no longer used),
    - libreadline-dev (no longer used),
    - libedit-dev (no longer used),
    - libepsilon-dev (no longer used),
  * Update debian watch file:
    - Drop uupdate action
    - Handle common mistakes
  * Remove debconf translations, debconf template no longer used.

  [ Francesco Paolo Lovergine ]
  * Now build-dep on (versioned) libgdal-dev instead of (obsolete) libgdal1-dev.
  * Added a new patch freetype2-include-dir.patch to fix problem in
    determining the correct FreeType2 include directory (why is it not using
    freetype-config?).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 11 Dec 2013 14:42:31 +0100

mapserver (6.4.0-2) unstable; urgency=low

  * Also include mapserver-config.h and mapserver-version.h in dev package.
    Required to build MapCache with MapServer support.
  * Use php5enmod and php5dismod instead of installing the ini directly.
    (closes: #667771)
  * Add patch to export mapserver cmake package for external projects.
  * Add versioned Breaks/Replaces for dev package.
  * Drop transitional packages and Breaks/Replaces for libmapserver.
    (closes: #723979)
  * Drop unused lintian-overrides for php5-mapscript.
  * Build-Depend on libperl-dev so cmake can find PerlLibs.
    (closes: #724259)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 19 Sep 2013 19:52:12 +0200

mapserver (6.4.0-1) unstable; urgency=low

  * New upstream release: 6.4.0.
  * Build system changed from autotools to cmake.
  * Update Build-Depends to include: libgif-dev, librsvg2-dev, pkg-config.
  * Update hardening.patch for CMake build.
  * Drop patches:
    - fixmapscriptvars.patch (mapscriptvars no longer used)
    - php_segfault.patch (applied upstream)
    - mapows-contenttype.patch (applied upstream)
    - shp2img-typo.patch (applied upstream)
  * Add patch to fix the Perl mapscript module installation directory:
    perl-mapscript-install.patch
  * Drop ruby1.8 mapscript package for ruby1.8-removal transition.
  * Rename libruby-mapscript to ruby-mapscript. (closes: #722394)
  * Don't install Ruby mapscript in /usr/lib/ruby, use vendor_ruby instead.
  * SONAME of libmapserver changed from libmapserver-6.2.1.so to
    libmapserver.so.1.
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle C++ symbols.
  * Use upstream version without debian revision when generating symbols.
  * Update libmapserver symbols file for 6.4.0 on amd64.
  * Add patch to install ruby mapscript into vendorarchdir instead of archdir.
  * Enable verbose make output.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 17 Sep 2013 17:16:30 +0200

mapserver (6.2.1-3) unstable; urgency=low

  [ Bas Couwenberg ]
  * Upload for Debian closes: #706157
  * Merge changes from 6.0.1-4:
    - Migrated to debhelper level 9.
    - Depend on PHP API version instead of libapache2-mod-php5.
    - Bump libgeos-dev build dependency to 3.3.1-1~.
  * Drop possible-gpl-code-linked-with-openssl lintian override.
  * Empty dependency_libs in la files.
  * Use PHP5API variable instead of hardcoded path to la file.
  * Remove RPATH from mapscript libraries.
  * Additional cleanup to allow building twice.
  * Remove unused shlibs:Depends.
  * shp2mysql was removed, no more perl in mapserver-bin.
  * Use --install-layout=deb for python setup.py.
  * Update configure arguments (several no longer supported).
  * Add mapows-contenttype.patch to handle Content-Type headers with a
    charset appended.
  * Drop debian-changes-6.2.1-1 from patch series.
  * Update libgd build dependency to libgd-dev for the libgd2 transition.
  * Enable hardening build flags.
  * Add man page for mapserver utilities:
    - legend
    - msencrypt
    - scalebar
    - shp2img
    - shptree
    - shptreetst
    - shptreevis
    - sortshp
    - tile4ms
    - mapserv
    - mapserver-config
  * Update copyright for v6.2.1. Convert to DEP5 format.
  * Rename libmapserver package to libmapserver-6.2.1 to match SONAME.
  * Add symbols file for libmapserver-6.2.1.so.
  * Add shp2img-typo.patch to fix a typo in the shp2img usage information.
  * Add lintian-overrides for php5-mapscript: unused-debconf-template,
    the maintainer scripts embed a variable in the template name.
  * Bump Standards-Version to 3.9.4 (shared library changes).
  * Replace dpatch with quilt in README.source.
  * Drop README.etch, no longer relevant.
  * Drop README.Debian, no longer used for PHP mapscript.
  * Update TODO.Debian to reflect current status.
  * Add maintainer scripts for libmapserver-6.2.1 to call ldconfig,
    don't call ldconfig for php5-mapscript.
  * Use dh_autoreconf for retooling.

  [ Francesco Paolo Lovergine ]
  * Relaxing dh_makeshlibs checking to avoid failure but document
    changes in symbols.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 14 Jun 2013 22:00:07 +0200

mapserver (6.2.1-2) unstable; urgency=low

  * Add patch php_segfault.

 -- Alan Boudreault <aboudreault@mapgears.com>  Fri, 14 Jun 2013 13:22:58 +0000

mapserver (6.2.1-1) unstable; urgency=low

  * New Upstream release
  * Removed mapscriptperllink patch

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 25 Apr 2013 08:53:21 -0400

mapserver (6.2.0-2) unstable; urgency=low

  * Added heikolein's patch to link mapscript-perl to libmapserver

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 22 Nov 2012 15:21:55 -0500

mapserver (6.2.0-1) unstable; urgency=low

  * New upstream release
  * Added libmapserver package
  * Added patch to fix mapscriptvars to send the right argument to ld
  * Changed php5-mapscript dependencies, removed misc:depends and added
    libapache2-mod-php5 explicitly

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 15 Nov 2012 13:43:51 +0000

mapserver (6.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Alan Boudreault <aboudreault@mapgears.com>  Tue, 22 May 2012 13:24:16 +0000

mapserver (6.0.1-4) unstable; urgency=low

  * Fixed typo that prevented AGG use in debian/rules.
    (closes: #663875)
  * Now using libpng-dev as b-d.
  * Migrated to debhelper level 9 and policy bumped to 3.9.3.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Mar 2012 21:43:53 +0100

mapserver (6.0.1-3) unstable; urgency=low

  * Let the configure script search in the system directory for jpeg stuff.
    (closes: #661914)
  * Added fixgeos patch to use correcly the geos-config script.
  * Minimum version for geos set to 3.3.1.
  * Added patch php54 to work with PHP 5.4 too, and reflect changes in the API.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 05 Mar 2012 12:43:32 +0100

mapserver (6.0.1-2) unstable; urgency=low

  * Added missed stuff for libmapscript-perl.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 23 Dec 2011 14:02:06 +0100

mapserver (6.0.1-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release.

  [ Francesco Paolo Lovergine ]
  * Debhelper level set to 8.
  * This version still uses libpng 1.2, but is ready also for 1.5.
  * Removed explicit settings of png dir, it collids with multi-arch support.
  * Now mapscript/php3 moved finally to mapscript/php. Install file changed as
    due.
  * Removed obsolete python-docutils build-dep. Thanks Jakub Wilk.
    (closes: #635256)
  * Renamed perl-mapscript to libmapscript-perl to adhere the Perl naming
    policy.
    (closes: #575934)
  * Revised description of Perl mapscript.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 23 Dec 2011 10:26:04 +0100

mapserver (5.6.6-2) unstable; urgency=low

  * Ack previous NMU: added libepsilon-dev as build-dep.
    (closes: #624811)
  * Policy bumped to 3.9.2, no changes required.
  * Moved to libjpeg-dev as build-dep.
  * Migrated to dh_python2.
    (closes: #616883)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 13 Jul 2011 18:05:19 +0200

mapserver (5.6.6-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release some bug fixes.

  [ Francesco Paolo Lovergine ]
  * Moved to debian source 3.0 and quilt support.
  * Policy bumped to 3.9.1 withous changes.
  * Fixed Vcs-* fields in debian/control.
  * Fixed debian-rules-makemaker-prefix-is-deprecated in debian/rules.
  * Fixed debhelper-but-no-misc-depends in libmapscript-ruby.
  * lintian-overrides updated.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 12 Mar 2011 11:23:08 +0100

mapserver (5.6.5-2) unstable; urgency=high

  * Fix Validation of symbol index values (CVE-2010-1678)
    [http://trac.osgeo.org/mapserver/ticket/3641]

 -- Alan Boudreault <aboudreault@mapgears.com>  Thu, 06 Jan 2011 11:18:29 -0500

mapserver (5.6.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depends on libedit-dev as the package FTBFS without it
    Closes: #606247
  * Fix pending l10n issues. Debconf translations:
    - Czech (Miroslav Kure).  Closes: #599847
    - Vietnamese (Clytie Siddall).  Closes: #601922
    - Danish (Joe Hansen).  Closes: #605618
    - Italian (Vincenzo Campanella).  Closes: #605858

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Dec 2010 07:09:55 +0100

mapserver (5.6.5-1) unstable; urgency=low

  * New upstream release with an important bug fix about scale calculation.
  * Added OGC SOS server support.

 -- Alan Boudreault <aboudreault@mapgears.com>  Thu, 15 Jul 2010 10:55:19 -0400

mapserver (5.6.4-1) unstable; urgency=high

  [ Alan Boudreault ]
  * New upstream release, with important security bug fixes.
  * Fix Buffer overflow in msTmpFile function.
    [http://trac.osgeo.org/mapserver/ticket/3484]
  * Fix insecure mapserv CGI command-line debug args.
    [http://trac.osgeo.org/mapserver/ticket/3485]

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.9.4, no changes required.
  * Note that in practice bashisms are avoided due to current options selection.
    (closes: #582098)
  * Urgency set to high due to security fixes included.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 12 Jul 2010 22:28:39 +0200

mapserver (5.6.3-2) unstable; urgency=low

  * Added palette support for rgba png.

 -- Alan Boudreault <aboudreault@mapgears.com>  Wed, 30 Jun 2010 09:19:51 -0400

mapserver (5.6.3-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release, with important bug fixes.
  * Fixed some typo in debian/control.

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.8.4 without changes.
  * Removed Andreas Putzo among Uploaders: last contribution dated more than
    two years ago.
  * Added shapelib to Suggests in mapserver-bin.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 24 Mar 2010 22:13:25 +0100

mapserver (5.6.1-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release, with a few important bug fixes.
  * Modified ruby mapscript package to use ruby 1.9.1 instead of 1.9.0.
    (closes: #565831)

  [ Francesco Paolo Lovergine ]
  * Removed Fabio Tranchitella from Uploaders.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Jan 2010 23:03:26 +0100

mapserver (5.6.0+final-1) unstable; urgency=low

  * New upstream release, reissued after some last minute changes. This is
    the current 5.6.0 upstream version.
  * Added a lintian override-file for mismatched
    possible-gpl-code-linked-with-openssl error.
  * Policy bumped to 3.8.3 (no changes).
  * Added missing ${misc:Depends} item in each control stanza.
  * Added a README.source for documenting dpatch use.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 24 Dec 2009 19:22:16 +0100

mapserver (5.6.0-1) unstable; urgency=low

  [ Alan Boudreault ]
  * Debhelper compatibility level moved to 7.
  * Now uses dh_prep instead of deprecated dh_clean -k.
  * Deprecated dh_movefiles changed in dh_install.
  * Removed debian/AGG and debian/agg-2.4.uu: use AGG included with Mapserver source.
  * Clean up of debian/rules: removed all agg related stuff.
  * Added libxslt1-dev, libpam0g-dev and libreadline-dev build-dependencies.
  * Added msencrypt binary.
  * Added SWF support. (flash)
  * Added fribidi support.
  * Added libfribidi-dev, libming-dev build-dependencies.
  * Added MIGRATION_GUIDE and xml mapfile related files into mapserver-doc package.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 15 Dec 2009 18:10:22 +0100

mapserver (5.4.2-1) unstable; urgency=high

  * New upstream release, with a few fixes.
    Proper fix for CVE-2009-0840.
    (closes: #535340, #532446)

 -- Alan Boudreault <aboudreault@mapgears.com>  Fri, 24 Jul 2009 09:16:45 -0400

mapserver (5.4.1-1) experimental; urgency=low

  * New upstream release, with a few fixes.

 -- Alan Boudreault <aboudreault@mapgears.com>  Thu, 04 Jun 2009 14:51:13 -0400

mapserver (5.4.0-1) experimental; urgency=low

  [ Alan Boudreault ]
  * New upstream release.
  * Added Alan as Uploader in debian/control.
  * Removed obsolete html doc generation in debian/rules and
    from mapserver-doc package.

  [ Francesco Paolo Lovergine ]
  * Updated sections due to ftmpasters changes.
  * Removed obsolete proj alternative build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 May 2009 21:45:45 +0200

mapserver (5.2.2-1) unstable; urgency=high

  * New upstream release, with security fixes.
  * Now using libproj-dev build-dep for new proj package style.
  * Removed Paul Wise among Uploaders after his request. Also revised list
    to reflect only recent (less than 24 months) contributors.
  * Added libogdi3.2-dev build-dependency.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 27 Mar 2009 13:48:26 +0100

mapserver (5.2.1-2) unstable; urgency=low

  * debian/watch: fixed. (Closes: #515732)
  * debian/po/ja.po: updated. (Closes: #510897)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 05 Mar 2009 22:55:48 +0100

mapserver (5.2.1-1) experimental; urgency=low

  * New upstream release.
    (closes: #509476)
  * Updated ru.po template.
    (closes: #504724)
  * Added es.po template.
    (closes: #504652)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 23 Dec 2008 23:24:56 +0100

mapserver (5.2.0-1) experimental; urgency=low

  * New upstream release. Thanks Alan Boudreault.
    (closes: #498547)
  * Added libxml2-dev build-dependency.
  * Deapplied all current patches (merged upstream).
  * Added Alan as Uploader in debian/control.
  * Policy bumped to 3.8.0, withour changes.
  * debian-rules-ignores-make-clean-error lintian warning fixed in debian/rules.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 29 Sep 2008 16:55:04 +0200

mapserver (5.0.3-3) unstable; urgency=low

  * Updated sv.po template.
    (closes: #488704)
  * Turning on again optimization, #487679 was due to GDAL oddity solved in 1.5.2-3.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 15 Jul 2008 16:30:56 +0200

mapserver (5.0.3-2) unstable; urgency=high

  * Turning off optimization in debian/rules due to serious breakage of mapserver
    with GCC 4.3. (closes: #487679)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 23 Jun 2008 16:59:43 +0200

mapserver (5.0.3-1) unstable; urgency=low

  * New upstream release, with a good deal of fixes.
  * Changed a bit clean-first-build to make lintian happy about
    debian-rules-ignores-make-clean-error warning.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 08 Jun 2008 11:50:22 +0200

mapserver (5.0.2-3) unstable; urgency=high

  * The setup.py script is not able to manage properly static libraries flavor
    for AGG now used embedded in mapserver. The trick is explicitly linking by
    manipulating the mapscriptvars file before running setup.py. That rendered
    python-mapscript unusable.
    (closes: #483400)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 06 Jun 2008 10:34:21 +0200

mapserver (5.0.2-2) unstable; urgency=low

  * Added embedded AGG 2.4 for use with mapserver. This is a BSD-licensed
    version roughly functionally identical to current 2.5 version.
    See debian/AGG for additional maintainer information about the AGG integration.
    (closes: #448198)
  * Added build-deps for AGG: libsdl1.2-dev, libfreetype6-dev, libx11-dev.
  * Added build-dep on sharutils for AGG uuencoded distfile.
  * Fixed maintainer scripts for erroneous if expressions.
    (closes: #463888)
  * Policy bumped to 3.7.3 (no changes).
  * Added Vcs-* fields to debian/control.
  * Added FastCGI support.
    (closes: #468172)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 18 Mar 2008 19:37:00 +0100

mapserver (5.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 29 Jan 2008 10:22:10 +0100

mapserver (5.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/po/fi.po: added, thanks Esko Arajärvi. (Closes: #457227)
  * debian/po/de.po: updated, thanks Alwin Meschede. (Closes: #462275)
  * debian/control: removed build-dep on libwww-dev. (Closes: #457202)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 24 Jan 2008 10:55:18 +0100

mapserver (5.0.0-3) unstable; urgency=low

  * debian/php5-mapscript.postinst: fixed a typo. (Closes: #446985)
  * debian/patches/20_php_build.dpatch: removed. (Closes: #447814)
  * debian/po/gl.po: added. (Closes: #447939)
  * debian/po/fr.po: added. (Closes: #448821)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 08 Nov 2007 15:13:37 +0100

mapserver (5.0.0-2) unstable; urgency=low

  * debian/rules, debian/controls: new patch for the ruby bindings, which
    follows the ruby policy draft.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 11 Oct 2007 13:46:22 +0200

mapserver (5.0.0-1) unstable; urgency=low

  [ Fabio Tranchitella ]
  * New upstream release.
  * Add ruby mapscript support; thanks to Dmitry Kurochkin for the patch.
    (Closes: #428247)
  * Do not mangle php.ini, use the conf.d directory instead.
    (Closes: #443253)

  [ Francesco Paolo Lovergine ]
  * Updated debconf templates:
  	 + debian/po/pt.po (Closes: #439697)
     + debian/po/sv.po (Closes: #436414)

  [ Paul Wise ]
  * Switch to the new Homepage field.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 11 Oct 2007 12:54:31 +0200

mapserver (4.10.3-1) unstable; urgency=high

  [ Andreas Putzo ]
  * New upstream release.
    - Fixed XSS vulnerabilities.
      [http://trac.osgeo.org/mapserver/ticket/2256]
    - Fixed possible buffer overflow in template processing.
      [http://trac.osgeo.org/mapserver/ticket/2252]
    (Closes: #439346)
  * Added myself to Uploaders.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #433710
  * Debconf translation updates:
    - Galician. Closes: #434326
    - Tamil. Closes: #434401
    - Russian. Closes: #434406
    - Portuguese. Closes: #434438
    - German. Closes: #434653
    - Vietnamese. Closes: #434758
    - French. Closes: #435933
    - Czech. Closes: #436280
    - Dutch. Closes: #436853

 -- Andreas Putzo <andreas@putzo.net>  Tue, 28 Aug 2007 08:21:59 +0000

mapserver (4.10.2-1) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * New upstream release.
    (closes: #412836)
  * Fixed PHP case in long descriptions.
    (closes: #425987)

  [ Fabio Tranchitella ]
  * debian/README.Debian: added a note about PHP and FCGI support.
    (Closes: #425571)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 24 Jun 2007 11:44:44 +0200

mapserver (4.10.1-1) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * debian/po/nl.po added. (closes: #415504)
  * Moved to gdal 1.4.1 dependency. (closes: #424635, #423538)
  * Removed php4 support (closes: #418313)
  * Updated long descriptions.
  * Removed Thomas Sondag among Uploaders (last contribute dated more than 2 years ago).
  * Moved to libcurl4 build-deps.
  * Added a debian/README.etch for notes on backporting.
  * Moved to debhelper compatibility level 5.
  * Removed superfluous dh_python in debian/rules.
  * A new debian/control.etch file has been introduced to retain etch compatibility.
    All php4 related files have been maintained for the same reason. Please, don't remove them!
  * Merging other relevant patches from BSP NMU 4.10.0-6.1. Thanks Luk Claes.
  	- Fixed package priority to meet overrides
  	- Fix language in description (closes: #416449)
  	- Add Dutch debconf translation (closes: #415504)

  [ Fabio Tranchitella ]
  * New upstream release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 May 2007 00:07:28 +0200

mapserver (4.10.0-6) unstable; urgency=low

  * debian/po/ja.po: added, thanks to Kobayashi Noritada. (Closes: #413119)
  * Change my email address now that I'm a Debian Developer

 -- Paul Wise <pabs@debian.org>  Sat,  3 Mar 2007 17:59:20 +0900

mapserver (4.10.0-5) unstable; urgency=medium

  * debian/po/de.po: added, thanks to Alwin Meschede. (Closes: #405727)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 13 Jan 2007 22:54:20 +0100

mapserver (4.10.0-4) unstable; urgency=medium

  * debian/po/pt.po: updated. (Closes: #401386)
  * debian/po/fr.po: added. (Closes: #399395)

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 18 Dec 2006 16:38:22 +0100

mapserver (4.10.0-3) unstable; urgency=low

  * debian/control: build-depends on libpq-dev. (Closes: #396565)

 -- Fabio Tranchitella <kobold@debian.org>  Thu,  2 Nov 2006 11:44:17 +0100

mapserver (4.10.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Fabio Tranchitella <kobold@debian.org>  Wed,  1 Nov 2006 09:47:09 +0100

mapserver (4.10.0-1) experimental; urgency=low

  * New upstream release.
  * debian/po/fr.po: updated. (Closes: #388573)
  * debian/po/cz.po: updated. (Closes: #389220)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 20 Oct 2006 11:01:01 +0000

mapserver (4.8.4-1) unstable; urgency=low

  * New upstream release
  * Update for new Python policy (Closes: #373461, #360576)
  * Install shp2mysql.pl as shp2mysql
  * Remove question from long desc for php mapscript debconf questions
  * Remove shp2pdf, since mapserver is build without PDFlib (non-free)
  * Suggest libdbi-perl for mapserver-bin for shp2mysql
  * Fix shebang lines in debian/php*-config
  * Remove python mapscript build dirs on clean
  * Bump Standards-Version (no changes)
  * Fix gdal build-dep - new upstream is libgdal1-1.3.2-dev (Closes: #383140, #383830, #386073)
  * Update debconf templates and translations

 -- Paul Wise <pabs3@bonedaddy.net>  Mon, 21 Aug 2006 09:47:48 +0800

mapserver (4.8.3-2) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typos in the config and prerm scripts for
    php[45]-mapscript. (Closes: #363115)

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  1 May 2006 08:43:05 +0200

mapserver (4.8.3-1) unstable; urgency=low

  [ Schuyler Erle ]
  * New upstream bugfix release 4.8.3
  * Include patch for sarge backporting and instructions in
    README.sarge.

  [ Paul Wise ]
  * New upstream bugfix release 4.8.2
    - drop 10_python_build: useless, only for Windows
  * Add php_mapscript.so to apache2 php.ini as well. This is a workaround
    for #346184, upstream is looking into it.
  * Install shp2pdf and tile4ms too. Closes: #359615
  * Change priority to extra in line with ftpmaster override

  [ Petter Reinholdtsen ]
  * Remove the generated files mapscript/csharp/Makefile and
    mapscript/php3/Makefile when cleaning up the source directory, to
    avoid noise in the debian diff.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  1 Apr 2006 11:14:50 +0200

mapserver (4.8.1-2) unstable; urgency=low

  [ Paul Wise ]
  * Make the build target no longer depend on build-indep. This is not
    policy-compliant (see 7.6 and 4.8), but it is needed to work around
    the fact that the autobuilders call debian/rules build (instead of
    build-arch), but do not install Build-Depends-Indep packages.
    build-indep is an indirect dependency of the binary and binary-indep
    targets, so non-autobuilder builds will still work.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 Feb 2006 11:10:25 +0100

mapserver (4.8.1-1) unstable; urgency=low

  [ Paul Wise ]
  * New upstream release
  * Build mapscript html docs using python-docutils and add to mapserver-doc
  * Add some more things to mapserver-doc
  * Move the bindings examples into examples subdirs, remove execute perms
  * Add a TODO.Debian so we don't forget some things
  * Completely revamp copyright information, remove php4-mapscript.copyright
  * Prevent FTBFS when using sudo instead of fakeroot (Closes: #351869)
  * Change Priority to match the override set by the ftpmasters

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Feb 2006 12:51:08 +0100

mapserver (4.6.2-1) unstable; urgency=low

  [ Paul Wise ]
  * New upstream bugfix release
  * debian/control: Use Homepage recommendations from the developers reference
  * Remove useless files: README.debian, php*-mapscript.dirs
  * Use HISTORY.TXT as the changelog
  * Change mapserver-doc Architecture to all instead of any
  * Add a watch file that works with the mapserver plone website
  * Enable geos support
  * Move mapserv cgi to /usr/lib/cgi-bin, since it is useless in /usr/bin
  * Switch from priority optional to extra since mapserver depends on proj
    and gdal, which are both priority extra.
  * Remove minor version from Standards-Version, since it is not needed.
  * Fix gdal build-dep - new upstream is libgdal1-1.3.1-dev (Closes: #350437)
  * Update debian/rules to use -arch/-indep targets for binary/install/build
  * Fix case of Build-Conflicts in debian/control

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 31 Jan 2006 20:46:47 +0100

mapserver (4.6.1-6) unstable; urgency=low

  * Install php extensions into the directory output by php-configN and depend
    on the phpapi virtual package specified by php-configN (Closes: #339007)
  * Add myself to Uploaders.
  * Upload sponsored by Petter Reinholdtsen.

 -- Paul Wise <pabs3@bonedaddy.net>  Tue,  6 Dec 2005 15:35:52 +0800

mapserver (4.6.1-5) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add support for php5 mapscript.  New binary package
    php5-mapscript.  Based on patch from Jon Saints.  (Closes: #333057)
  * Renamed templates name from php4/* to php4-mapscript/* to match
    package name.
  * Fix typo 'Curently'->'Currently' in package description.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Nov 2005 18:23:30 +0100

mapserver (4.6.1-4) unstable; urgency=low

  * Add Swedish translation by Daniel Nylander. (Closes: #333097)
  * Change build depend from libcurl3-dev to
    'libcurl3-gnutls-dev | libcurl3-dev', to cope with the recent
    change with libcurl and still be easy to backport to sarge.
    Based on patch from Jon Saints.  (Closes: #336834)
  * Build-conflict on libcurl3-openssl-dev, to make sure the requested
    curl library is used by the autobuilders.
  * Set priority extra for php4-mapscript, to match override files.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Nov 2005 23:29:24 +0100

mapserver (4.6.1-3) unstable; urgency=low

  * Make sure the strptime() return value have the correct
    type. (Closes: #328030)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 14 Sep 2005 00:16:15 +0200

mapserver (4.6.1-2) unstable; urgency=low

  * Change priority from extra to optional to match override file.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 Sep 2005 11:57:10 +0200

mapserver (4.6.1-1) unstable; urgency=low

  * New upstream release.
  * Dependencies are now installable in sid.  (Closes: #325593)
  * Use '${misc:Depends}' instead of 'debconf' as dependency to allow
    cdebconf to be used.
  * Change depend for php4-mapscript from 'libapache-mod-php4' to
    'libapache-mod-php4 | phpapi-20020918', as it work with several
    php packages. (Closes: #322887)
  * Reindend all copyright files to make them easier to read.  Use
    last email address of Thomas Sondag in them.  Remove
    perl-mapscript.copyright as it is identical to changelog.  Keep
    php4-mapscript.copyright as it is slightly different.
  * Remove emacs headers from the botton of the changelog and fix invalid
    date string, to keep dpkg-genchanges happy.
  * Avoid bashism in debian/php4-mapscript.prerm.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 Sep 2005 11:16:44 +0200

mapserver (4.6.0-1) experimental; urgency=low

  * New upstream release.
  * Uploading to experimental to get the new php4-mapscript package
    past NEW while we wait for the c++ transition.
  * Petter Reinholdtsen
    - Update the section of the packages to match the debian archive
      override file.
    - Change the priority of all packages from optional to extra, as
      this package depend on proj and gdal which is priority extra.
    - rm 35_init_vars, not needed any more.
    - Updated to standard version 3.6.2.1.
  * Tilman Koschnick
    - Reactivate php support. (Closes: #306194)
    - debian/patches/:
      - update 10_python_build.dpatch
      - update 20_php_build.dpatch
      - rm 30_typo_gdal.dpatch (included upstream)
      - update 35_init_vars.dpatch
      - rm 40_array_init.dpatch (included upstream)
      - update 50_clean.dpatch
  * Debconf translations
    - Added French (fr) from Steve Petruzzello. (Closes: #303159)
    - Added Vietnamese (vi) from Clytie Siddall. (Closes: #312750)
    - Added Czech (cs) from Miroslav Kure. (Closes: #318277)

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  2 Aug 2005 20:37:08 +0200

mapserver (4.4.1-2) unstable; urgency=low

  * Petter Reinholdtsen
    - Fix typo in package description.
    - Build using gcc from unstable. (Closes: #302114)
    - Remove generated config.log in debian/rules, until 50_clean.dpatch
      is available upstream, to make sure the file is removed at the
      right time.
    - Prepare the debconf question for translations.  The PHP support
      is currently disabled, so the template text is currently unused.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 Mar 2005 00:42:36 +0200

mapserver (4.4.1-1) unstable; urgency=low

  * Petter Reinholdtsen
    - Initial upload. (Closes: #138971)
    - Set the Debian GIS project as the maintainer, and Thomas Sondag,
      Schuyler Erle and myself as uploaders.
    - Do not build libmapserver-dev any more.  It can't be used without
      the defines used during compilation, the ABI is not stable, and
      there are no client programs using it at the moment.
    - 40_array_init.dpatch: New patch to make array initialization
      in mapprojhack.c ANSI C.  The patch is already in upstream CVS.
    - Reindent the license text in debian/copyright, to make it easier
      to read.
    - 50_clean.dpatch: New patch to make sure 'make distclean'
      complete the work even if config.* is missing.
    - Drop php support, as the php version in Debian is built without
      the required regex support.  Document the changes in
      60_php_drop.dpatch.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Mar 2005 23:49:59 +0100

mapserver (4.4.1-0.dgis.unstable.2) unstable; urgency=low

  * Make big change in packages descriptions fields
  * Add suggested packages
  * add pere patch :
  * Drop the home made patch system, and use dpatch instead.
  * Remove tabs from empty lines in rules.
  * Remove dh_testroot where it isn't needed to keep debuild happy and
    make sure clean and build can be done as a normal user.
  * Use $(RM) instead of 'rm -f' and 'rm'.
  * Petter Reinholdtsen
    - 30_typo_gdal.dpatch: New patch to fix typo in mapdrawgdal.c.
      The patch is already in upstream CVS.
    - 35_init_vars.dpatch: New patch to initialize a few variables.
      The patch is sent upstream.

 -- Thomas Sondag <thomas@microdop.org>  Fri, 21 Jan 2005 15:09:09 +0100

mapserver (4.4.1-0.dgis.unstable.1) unstable; urgency=low

  * update release number
  * New upstram release
  * Major change to rule the files for make a double build one for php
    and another one for the rest
  * Change dep to php4-dev

 -- Thomas Sondag <thomas@microdop.org>  Fri, 07 Jan 2005 16:16:37 +0100

mapserver (4.2.5-2) unstable; urgency=low

  * Add python Binding
  * Add patch to Makefile.vc for python binding
  * Add mapserver binary and tools
  * Add mapserver documentation package
  * Change name of php-mapscript to php4-mapscript
  * Change dependency of php4-mapscript to php4-cgi-mapscript
  * Add more documentation to perl php mapscript
  * Add configure section to debian rules
  * configure with thread safe support

 -- Thomas Sondag <thomas@microdop.org>  Fri, 29 Oct 2004 13:06:50 +0200

mapserver (4.2.5-1) unstable; urgency=low

  * New upstream version

 -- Thomas Sondag <thomas@microdop.org>  Mon, 25 Oct 2004 19:13:21 +0200

mapserver (4.2.0-2) unstable; urgency=low

  * Build For Sarge
  * Removing libming support (Where is it ? not found in Sarge)

 -- Thomas Sondag <thomas@microdop.org>  Sun, 25 Jul 2004 15:45:20 +0200

mapserver (4.2.0-1) stable; urgency=low

  * New upstream version

 -- Thomas Sondag <thomas@microdop.org>  Sun,  4 Jul 2004 01:23:00 +0200

mapserver (4.0.2-1) stable; urgency=low

  * New upstream version
  * adding --without-tiff for fixing problem with perl-mapscript

 -- Thomas Sondag <thomas@microdop.org>  Wed, 04 Feb 2004 19:24:56 +0100

mapserver (4.0-1) stable; urgency=low

  * New release

 -- Thomas Sondag <thomas@microdop.org>  Sun, 12 Oct 2003 18:44:57 +0200

mapserver (3.6.4-5) stable; urgency=low

  * Add patch for msWriteImage function (write image directly to stdout)

 -- Thomas Sondag <thomas.sondag@educagri.fr>  Mon, 28 Jul 2003 14:17:27 +0100

mapserver (3.6.4-4) stable; urgency=low

  * hum nothing

 -- Thomas Sondag <thomas.sondag@educagri.fr>  Mon, 13 May  2003 14:17:27 +0100

mapserver (3.6.4-3) unstable; urgency=low

  * Added proj

 -- Thomas Sondag <thomas.sondag@educagri.fr>  Mon, 07 Feb 2003 14:17:27 +0100

mapserver (3.6.4-1) unstable; urgency=low

  * Initial release.

 -- Thomas Sondag <thomas.sondag@educagri.fr>  Mon, 13 Jan 2003 13:32:27 +0100
